import { OnChanges } from '@angular/core';
import { ITdEdgeLabel, ITdEmphasis, ITdItemStyle, ITdLabel, ITdLineStyle, ITdMarkArea, ITdMarkLine, ITdMarkPoint, ITdSeries, TdChartOptionsService, TdCoordinateSystem, TdMarkPointSymbol, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export interface ITdClusteringSeries extends ITdSeries {
    clusterCount: number;
    showCentroids: boolean;
    animation?: boolean;
    animationDelay?: number | Function;
    animationDelayUpdate?: number | Function;
    animationDuration?: number | Function;
    animationDurationUpdate?: number | Function;
    animationEasing?: string;
    animationEasingUpdate?: string;
    animationThreshold?: number;
    bottom?: string | number;
    calendarIndex?: number;
    circular?: object;
    coordinateSystem?: TdCoordinateSystem;
    cursor?: string;
    edgeLabel?: ITdEdgeLabel;
    edges?: any[];
    edgeSymbol?: any[] | string;
    edgeSymbolSize?: number;
    emphasis?: ITdEmphasis;
    focusNodeAdjacency?: boolean;
    geoIndex?: number;
    height?: string | number;
    hoverAnimation?: boolean;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    left?: string | number;
    legendHoverLink?: boolean;
    lineStyle?: ITdLineStyle;
    links?: any[];
    markArea?: ITdMarkArea;
    markLine?: ITdMarkLine;
    markPoint?: ITdMarkPoint;
    nodes?: any[];
    nodeScaleRatio?: boolean;
    polarIndex?: number;
    right?: string | number;
    silent?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    symbolRotate?: number;
    symbolSize?: number | any[] | Function;
    top?: string | number;
    width?: string | number;
    xAxisIndex?: number;
    yAxisIndex?: number;
    z?: number;
    zlevel?: number;
}
export declare class TdChartSeriesClusteringComponent extends TdSeriesDirective implements ITdClusteringSeries, OnChanges {
    clusterCount: number;
    showCentroids: boolean;
    bottom?: string | number;
    calendarIndex?: number;
    circular?: object;
    coordinateSystem?: TdCoordinateSystem;
    cursor?: string;
    edgeLabel?: ITdEdgeLabel;
    edges?: any[];
    edgeSymbol?: any[] | string;
    edgeSymbolSize?: number;
    emphasis?: ITdEmphasis;
    focusNodeAdjacency?: boolean;
    geoIndex?: number;
    height?: string | number;
    hoverAnimation?: boolean;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    left?: string | number;
    legendHoverLink?: boolean;
    lineStyle?: ITdLineStyle;
    links?: any[];
    markArea?: ITdMarkArea;
    markLine?: ITdMarkLine;
    markPoint?: ITdMarkPoint;
    nodes?: any[];
    nodeScaleRatio?: boolean;
    polarIndex?: number;
    right?: string | number;
    silent?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    symbolRotate?: number;
    symbolSize?: number | any[] | Function;
    top?: string | number;
    width?: string | number;
    xAxisIndex?: number;
    yAxisIndex?: number;
    z?: number;
    zlevel?: number;
    originalData: any;
    constructor(_optionsService: TdChartOptionsService);
    ngOnChanges(): void;
    getConfig(): any;
    private setOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesClusteringComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesClusteringComponent, "td-chart-series[td-clustering]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "clusterCount": { "alias": "clusterCount"; "required": false; }; "showCentroids": { "alias": "showCentroids"; "required": false; }; "bottom": { "alias": "bottom"; "required": false; }; "calendarIndex": { "alias": "calendarIndex"; "required": false; }; "circular": { "alias": "circular"; "required": false; }; "coordinateSystem": { "alias": "coordinateSystem"; "required": false; }; "cursor": { "alias": "cursor"; "required": false; }; "edgeLabel": { "alias": "edgeLabel"; "required": false; }; "edges": { "alias": "edges"; "required": false; }; "edgeSymbol": { "alias": "edgeSymbol"; "required": false; }; "edgeSymbolSize": { "alias": "edgeSymbolSize"; "required": false; }; "emphasis": { "alias": "emphasis"; "required": false; }; "focusNodeAdjacency": { "alias": "focusNodeAdjacency"; "required": false; }; "geoIndex": { "alias": "geoIndex"; "required": false; }; "height": { "alias": "height"; "required": false; }; "hoverAnimation": { "alias": "hoverAnimation"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "label": { "alias": "label"; "required": false; }; "left": { "alias": "left"; "required": false; }; "legendHoverLink": { "alias": "legendHoverLink"; "required": false; }; "lineStyle": { "alias": "lineStyle"; "required": false; }; "links": { "alias": "links"; "required": false; }; "markArea": { "alias": "markArea"; "required": false; }; "markLine": { "alias": "markLine"; "required": false; }; "markPoint": { "alias": "markPoint"; "required": false; }; "nodes": { "alias": "nodes"; "required": false; }; "nodeScaleRatio": { "alias": "nodeScaleRatio"; "required": false; }; "polarIndex": { "alias": "polarIndex"; "required": false; }; "right": { "alias": "right"; "required": false; }; "silent": { "alias": "silent"; "required": false; }; "symbol": { "alias": "symbol"; "required": false; }; "symbolKeepAspect": { "alias": "symbolKeepAspect"; "required": false; }; "symbolOffset": { "alias": "symbolOffset"; "required": false; }; "symbolRotate": { "alias": "symbolRotate"; "required": false; }; "symbolSize": { "alias": "symbolSize"; "required": false; }; "top": { "alias": "top"; "required": false; }; "width": { "alias": "width"; "required": false; }; "xAxisIndex": { "alias": "xAxisIndex"; "required": false; }; "yAxisIndex": { "alias": "yAxisIndex"; "required": false; }; "z": { "alias": "z"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; }, {}, never, never, false, never>;
}
