import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

class TdChartSeriesTreemapComponent extends TdSeriesDirective {
    config = {};
    id;
    name;
    data;
    zlevel;
    z;
    left;
    top;
    right;
    bottom;
    width;
    height;
    squareRatio;
    leafDepth;
    drillDownIcon;
    roam;
    nodeClick;
    zoomToNodeRatio;
    levels;
    silent;
    visualDimension;
    visualMin;
    visualMax;
    colorAlpha;
    colorSaturation;
    colorMappingBy;
    visibleMin;
    childrenVisibleMin;
    itemStyle;
    label;
    upperLabel;
    breadcrumb;
    emphasis;
    tooltip;
    constructor(_optionsService) {
        super('treemap', _optionsService);
    }
    getConfig() {
        return {
            zlevel: this.zlevel,
            z: this.z,
            left: this.left,
            top: this.top,
            right: this.right,
            bottom: this.bottom,
            width: this.width,
            height: this.height,
            squareRatio: this.squareRatio,
            leafDepth: this.leafDepth,
            drillDownIcon: this.drillDownIcon,
            roam: this.roam,
            nodeClick: this.nodeClick,
            zoomToNodeRatio: this.zoomToNodeRatio,
            levels: this.levels,
            silent: this.silent,
            visualDimension: this.visualDimension,
            visualMin: this.visualMin,
            visualMax: this.visualMax,
            colorAlpha: this.colorAlpha,
            colorSaturation: this.colorSaturation,
            colorMappingBy: this.colorMappingBy,
            visibleMin: this.visibleMin,
            childrenVisibleMin: this.childrenVisibleMin,
            itemStyle: this.itemStyle,
            label: this.label,
            upperLabel: this.upperLabel,
            breadcrumb: this.breadcrumb,
            emphasis: this.emphasis,
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: TdChartSeriesTreemapComponent, deps: [{ token: i1.TdChartOptionsService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.2", type: TdChartSeriesTreemapComponent, selector: "td-chart-series[td-treemap]", inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", zlevel: "zlevel", z: "z", left: "left", top: "top", right: "right", bottom: "bottom", width: "width", height: "height", squareRatio: "squareRatio", leafDepth: "leafDepth", drillDownIcon: "drillDownIcon", roam: "roam", nodeClick: "nodeClick", zoomToNodeRatio: "zoomToNodeRatio", levels: "levels", silent: "silent", visualDimension: "visualDimension", visualMin: "visualMin", visualMax: "visualMax", colorAlpha: "colorAlpha", colorSaturation: "colorSaturation", colorMappingBy: "colorMappingBy", visibleMin: "visibleMin", childrenVisibleMin: "childrenVisibleMin", itemStyle: "itemStyle", label: "label", upperLabel: "upperLabel", breadcrumb: "breadcrumb", emphasis: "emphasis" }, providers: [
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef(() => TdChartSeriesTreemapComponent),
            },
        ], usesInheritance: true, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: TdChartSeriesTreemapComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-treemap]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef(() => TdChartSeriesTreemapComponent),
                        },
                    ],
                }]
        }], ctorParameters: () => [{ type: i1.TdChartOptionsService }], propDecorators: { config: [{
                type: Input
            }], id: [{
                type: Input
            }], name: [{
                type: Input
            }], data: [{
                type: Input
            }], zlevel: [{
                type: Input
            }], z: [{
                type: Input
            }], left: [{
                type: Input
            }], top: [{
                type: Input
            }], right: [{
                type: Input
            }], bottom: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], squareRatio: [{
                type: Input
            }], leafDepth: [{
                type: Input
            }], drillDownIcon: [{
                type: Input
            }], roam: [{
                type: Input
            }], nodeClick: [{
                type: Input
            }], zoomToNodeRatio: [{
                type: Input
            }], levels: [{
                type: Input
            }], silent: [{
                type: Input
            }], visualDimension: [{
                type: Input
            }], visualMin: [{
                type: Input
            }], visualMax: [{
                type: Input
            }], colorAlpha: [{
                type: Input
            }], colorSaturation: [{
                type: Input
            }], colorMappingBy: [{
                type: Input
            }], visibleMin: [{
                type: Input
            }], childrenVisibleMin: [{
                type: Input
            }], itemStyle: [{
                type: Input
            }], label: [{
                type: Input
            }], upperLabel: [{
                type: Input
            }], breadcrumb: [{
                type: Input
            }], emphasis: [{
                type: Input
            }], tooltip: [{
                type: Input
            }] } });

const TREEMAP_MODULE_COMPONENTS = [
    TdChartSeriesTreemapComponent,
];
class CovalentTreemapEchartsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: CovalentTreemapEchartsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.1.2", ngImport: i0, type: CovalentTreemapEchartsModule, declarations: [TdChartSeriesTreemapComponent], imports: [CommonModule], exports: [TdChartSeriesTreemapComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: CovalentTreemapEchartsModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: CovalentTreemapEchartsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [TREEMAP_MODULE_COMPONENTS],
                    exports: [TREEMAP_MODULE_COMPONENTS],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentTreemapEchartsModule, TREEMAP_MODULE_COMPONENTS, TdChartSeriesTreemapComponent };
//# sourceMappingURL=covalent-echarts-treemap.mjs.map
